Debian Sarge FireFox Security update – UNSTABLE!

23 08 2005

This is a fair warning to folks running Debian Sarge. Recently there was a security update of Sarge (aka ‘Debian Stable’) to bring Firefox to a package identified as “mozilla-firefox 1.0.4-2sarge2“.
This update is UNSTABLE. Loaded extensions (I believe) are causing constant segfaults in the application, and running with an empty profile (firefox -p, new profile), odd behaviour in certain mime type handlers is happening. Also, hitting ^H or viewing the history window causes an immediate segfault and crash.
I would recommend people running Debian Sarge NOT upgrade their install of FireFox until this is resolved.
Update: this bug is reported already in Bugzilla, but has not been addressed. The link(s) are:
Bug #324516 (^W crash)
Bug #324617 (History window crash)

Advertisements

Actions

Information




%d bloggers like this: